BtreeStats (Oracle - Berkeley DB Java API)
Date: 2013-09-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class BtreeStats

    java.lang.Object
      com.sleepycat.db.DatabaseStats
          com.sleepycat.db.BtreeStats

    public class BtreeStats

extends DatabaseStats

The BtreeStats object is used to return Btree or Recno database statistics.

Method Summary
`int` | `getDupPages()` The number of database duplicate pages.
`long` | `getDupPagesFree()` The number of bytes free in database duplicate pages.
`int` | `getEmptyPages()` The number of empty database pages.
`int` | `getFree()` The number of pages on the free list.
`int` | `getIntPages()` The number of database internal pages.
`long` | `getIntPagesFree()` The number of bytes free in database internal pages.
`int` | `getLeafPages()` The number of database leaf pages.
`long` | `getLeafPagesFree()` The number of bytes free in database leaf pages.
`int` | `getLevels()` The number of levels in the database.
`int` | `getMagic()` The magic number that identifies the file as a Btree database.
`int` | `getMetaFlags()` Reports internal flags.
`int` | `getMinKey()` The minimum keys per page.
`int` | `getNumData()` The number of key/data pairs or records in the database.
`int` | `getNumKeys()` The number of keys or records in the database.
`int` | `getOverPages()` The number of database overflow pages.
`long` | `getOverPagesFree()` The number of bytes free in database overflow pages.
`int` | `getPageCount()` The number of pages in the database.
`int` | `getPageSize()` The underlying database page size, in bytes.
`int` | `getReLen()` The length of fixed-length records.
`int` | `getRePad()` The padding byte value for fixed-length records.
`int` | `getVersion()` The version of the Btree database.
`String` | `toString()` For convenience, the BtreeStats class has a toString method that lists all the data fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getMagic

    public int getMagic()

  The magic number that identifies the file as a Btree database.

### getVersion

    public int getVersion()

  The version of the Btree database.

### getMetaFlags

    public int getMetaFlags()

  Reports internal flags. For internal use only.

### getNumKeys

    public int getNumKeys()

  The number of keys or records in the database.

  For the Btree Access Method, the number of keys in the database. If the `Database.getStats` call was not configured by the `StatsConfig.setFast` method or the database was configured to support retrieval by record number, the count will be exact. Otherwise, the count will be the last saved value unless it has never been calculated, in which case it will be 0.

  For the Recno Access Method, the number of records in the database. If the database was configured with mutable record numbers the count will be exact. Otherwise, if the `Database.getStats` call was configured by the `StatsConfig.setFast` method, the count will be exact but will include deleted records; if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method, the count will be exact and will not include deleted records.

### getNumData

    public int getNumData()

  The number of key/data pairs or records in the database.

  For the Btree Access Method, the number of key/data pairs in the database. If the `Database.getStats` call was not configured by the `StatsConfig.setFast` method, the count will be exact. Otherwise, the count will be the last saved value unless it has never been calculated, in which case it will be 0.

  For the Recno Access Method, the number of records in the database. If the database was configured with mutable record numbers, the count will be exact. Otherwise, if the `Database.getStats` call was configured by the `StatsConfig.setFast` method, the count will be exact but will include deleted records; if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method, the count will be exact and will not include deleted records.

### getPageCount

    public int getPageCount()

  The number of pages in the database.

  Returned if `StatsConfig.setFast(boolean)` was configured.

### getPageSize

    public int getPageSize()

  The underlying database page size, in bytes.

### getMinKey

    public int getMinKey()

  The minimum keys per page.

### getReLen

    public int getReLen()

  The length of fixed-length records.

### getRePad

    public int getRePad()

  The padding byte value for fixed-length records.

### getLevels

    public int getLevels()

  The number of levels in the database.

  The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

### getIntPages

    public int getIntPages()

  The number of database internal pages.

  The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

### getLeafPages

    public int getLeafPages()

  The number of database leaf pages.

  The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

### getDupPages

    public int getDupPages()

  The number of database duplicate pages.

  The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

### getOverPages

    public int getOverPages()

  The number of database overflow pages.

  The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

### getEmptyPages

    public int getEmptyPages()

  The number of empty database pages.

  The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

### getFree

    public int getFree()

  The number of pages on the free list.

  The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

### getIntPagesFree

    public long getIntPagesFree()

  The number of bytes free in database internal pages.

  The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

### getLeafPagesFree

    public long getLeafPagesFree()

  The number of bytes free in database leaf pages.

  The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

### getDupPagesFree

    public long getDupPagesFree()

  The number of bytes free in database duplicate pages.

  The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

### getOverPagesFree

    public long getOverPagesFree()

  The number of bytes free in database overflow pages.

  The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

### toString

    public String toString()

  For convenience, the BtreeStats class has a toString method that lists all the data fields.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2013 Oracle and/or its affiliates. All rights reserved.